%Rotations, Pictures, Animations
clear, clf
house = [0 0 % First five points, x & Y rows, are points on house
         1 0
         1 1
         0 1
         0 0
         0 inf   % Start a new line
         -.5 .5  % Roof.
         .5 1.5
         1.5 .5]'; %Transpose to make columns x-y pairs
     
 house = house -[.5 1.5]';  %Move house so peak of roof is at origin
  
  % ANIMATION LOOP
   thetanew = pi/2;  % angle of rotation
   R     = [ cos(thetanew)  -sin(thetanew)   %Rotation matrix
             sin(thetanew)   cos(thetanew)];

    housenew = R * house;  %Rotate house
       x = housenew(1,:);  y = housenew(2,:);
    
 plot(x,y,'LineWidth',5); hold on  %draw jpise
 plot(0,0,'k.','MarkerSize',50); hold off
      axis equal; % always use this for physical objects and trajectories
      
      axis([ -4 4 -4 4]); % Take control of the scene size
      shg % reveal the graph so it is not hidden.
    
 